# class Puppet::Provider::Confine::True

### Public Class Methods

summarize(confines) click to toggle source

    # File lib/puppet/provider/confine/true.rb, line 4
    def self.summarize(confines)
      confines.inject(0) { |count, confine| count + confine.summary }
    end

### Public Instance Methods

message(value) click to toggle source

    # File lib/puppet/provider/confine/true.rb, line 13
    def message(value)
      "false value when expecting true"
    end

pass?(value) click to toggle source

    # File lib/puppet/provider/confine/true.rb, line 8
    def pass?(value)
      # Double negate, so we only get true or false.
      ! ! value
    end

summary() click to toggle source

    # File lib/puppet/provider/confine/true.rb, line 17
    def summary
      result.find_all { |v| v == true }.length
    end